<?php 

class ControllerFactory extends Controller {

	function index() {

		$config    =& $this->locator->get('config');
		$customer  =& $this->locator->get('customer');
		$database  =& $this->locator->get('database');
		$language  =& $this->locator->get('language');
		$order     =& $this->locator->get('order');
		$request   =& $this->locator->get('request');
	    $cart      =& $this->locator->get('cart');
	    $template  =& $this->locator->get('template');
		$response  =& $this->locator->get('response');
		$view = $this->locator->create('template');	
		$module    =& $this->locator->get('module');

		$template->set('content', $view->fetch('content/factory.tpl'));
	    $template->set($module->fetchPublic());
	    $response->set($template->fetch('layout.tpl'));		
//exit("factory.php");
	}
}

?>